Bug 178764

Summary: Make SharedStringHashTable less error prone
Product: WebKit Reporter: Chris Dumez <cdumez>
Component: WebKit2Assignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, beidson, ggaren, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Chris Dumez 2017-10-24 16:58:21 PDT
Make SharedStringHashTable less error prone by moving its modifying operations into a subclass.
Comment 1 Chris Dumez 2017-10-24 18:57:15 PDT
Created attachment 324774 [details]
Patch
Comment 2 youenn fablet 2017-10-25 09:32:46 PDT
Comment on attachment 324774 [details]
Patch

LGTM.
Usually classes are split in their own files. Maybe this should be done here as well.
That way, some files would only include the ReadOnly version.
Comment 3 Chris Dumez 2017-10-25 09:49:08 PDT
Created attachment 324834 [details]
Patch
Comment 4 Chris Dumez 2017-10-25 10:04:36 PDT
Created attachment 324839 [details]
Patch
Comment 5 Chris Dumez 2017-10-25 10:19:47 PDT
Comment on attachment 324839 [details]
Patch

Clearing flags on attachment: 324839

Committed r223958: <https://trac.webkit.org/changeset/223958>
Comment 6 Chris Dumez 2017-10-25 10:19:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2017-11-15 12:46:35 PST
<rdar://problem/35568098>